package m05bBD;

/**
 * This class holds information about an order, which is stored in the database
 * table <tt>m0522t002</tt>. The table <tt>m0522t002</tt> is defined in the
 * database as follows:
 * 
 * <pre>
 * CREATE TABLE M0522T00 ( 
 *   COD_PIE_22      	VARCHAR2 (10)    NOT NULL, 
 *   PIEZA_22      	VARCHAR2 (50),
 *   PRECIO_U_22      	NUMBER (8,2), 
 *   PRIMARY KEY 		( COD_PIE_22 ));
 * </pre>
 * 
 * This class follows the convention of a JavaBean.
 * 
 */
public class m05bPieza implements java.io.Serializable {

	private String pie_codigo = "0"; 
	private String pie_pieza = "";
	private String pie_piezaEu = "";

	public String getPie_piezaEu() {
		return pie_piezaEu;
	}

	public void setPie_piezaEu(String pie_piezaEu) {
		this.pie_piezaEu = pie_piezaEu;
	}

	private double pie_precio = 0.00;

	public String getPie_codigo() {
		return pie_codigo;
	}

	public void setPie_codigo(String n) {
		pie_codigo = n;
	}

	public String getPie_pieza() {
		return pie_pieza;
	}

	public void setPie_pieza(String n) {
		pie_pieza = n;
	}

	public double getPie_precio() {
		return pie_precio;
	}

	public void setPie_precio(double n) {
		pie_precio = n;
	}

	public String toString() {
		String s = "";
		s += "[Codigo pieza = " + pie_codigo + "]";
		s += "[Descripcion pieza = " + pie_pieza + "]";
		s += "[Precio pieza = " + pie_precio + "]";

		return s;
	}
}